summaryrefslogtreecommitdiff
path: root/package
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2010-06-03 14:40:37 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2010-06-03 14:40:37 +0200
commitb9d987583aa7e4f168654d4f6e26beeeefbc7c61 (patch)
tree56c4511231f390d860bf8c635d833858afd8123a /package
parente21c5f005ad02185bebbf0782b3e7245879ca19a (diff)
parent6bbf0a29693f0720d9753e11220e39a71b0454fd (diff)
Merge branch 'master' of git+ssh://openadk.org/git/openadk
Diffstat (limited to 'package')
-rw-r--r--package/gpm/files/gpm.init28
-rw-r--r--package/gpm/files/gpm.postinst4
2 files changed, 32 insertions, 0 deletions
diff --git a/package/gpm/files/gpm.init b/package/gpm/files/gpm.init
new file mode 100644
index 000000000..812fc1bf7
--- /dev/null
+++ b/package/gpm/files/gpm.init
@@ -0,0 +1,28 @@
+#!/bin/sh
+#PKG gpm
+#INIT 80
+
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ test x"${gpm:-NO}" = x"NO" && exit 0
+ exec sh $0 start
+ ;;
+start)
+ /usr/sbin/gpm $gpm_flags
+ ;;
+stop)
+ pkill gpm
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "Usage: $0 {start | stop | restart}"
+ exit 1
+ ;;
+esac
+exit $?
diff --git a/package/gpm/files/gpm.postinst b/package/gpm/files/gpm.postinst
new file mode 100644
index 000000000..82e63cf25
--- /dev/null
+++ b/package/gpm/files/gpm.postinst
@@ -0,0 +1,4 @@
+#!/bin/sh
+. $IPKG_INSTROOT/etc/functions.sh
+add_rcconf 'options passed to gpm' gpm_flags "-m /dev/psaux -t ps2"
+add_rcconf gpm gpm NO